﻿//
import SD.RD;
import SGF.GamePiece;
import SH.Game.General;

//Can extend GamePiece or GameCollisionPiece
class IDTheftGame.QuestionsMC extends GamePiece{
	
	
	//************************************************************
	//PRIVATE VARS
	//************************************************************
	
	//Private vars
	private var qAArray:Array;
	private var qAArrayCount:Number;
	
	//Public vars
	
	
	//Sub MC Vars
	
	
	//Sub TextField vars
	private var QuestionTitle:TextField;
	
	//Property vars
	
	
	
	//************************************************************
	//PROPERTIES
	//************************************************************
	
	
	

	//************************************************************
	//CONSTRUCTOR FUNCTIONS
	//************************************************************

	public function QuestionsMC(){
		
		//trace("GameController Created");
		//RD.D("GameController Created", this);
		linkageName = "QuestionsMC";
		//makeThisADispatcher();
		//dispatchMyEvent("e_someEvent", {myMessage:"none"});
		_visible = false;
		enabled = false;
		qAArrayCount = 0;
		qAArray = new Array();
		qAArray.push({qestion:1, answer:false});
		qAArray.push({qestion:2, answer:false});
		qAArray.push({qestion:3, answer:true});
		qAArray.push({qestion:4, answer:false});
		qAArray.push({qestion:5, answer:false});
		qAArray.push({qestion:6, answer:false});
		qAArray.push({qestion:7, answer:false});
		qAArray.push({qestion:8, answer:false});
		
		
		
	}
	
	
	
	//************************************************************
	//INITIAL FUNCTIONS: Usually functions off the constructor
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC VISUAL FUNCTIONS: Functions that hide and show items in the MC
	//************************************************************
	
	public function askQuestion():Number{
		
		var labelName:String = "q" + String(qAArray[qAArrayCount].qestion);
		this.gotoAndStop(labelName);
		_visible = true;
		enabled = true;
		
		QuestionTitle.text = ("QUESTION " + (qAArrayCount + 1));
		
		getRef().gameSounds.playSound("AskQuestion");
		
		return qAArrayCount + 1;
	
		
	}
	
	//returns response + gives user the answer
	public function checkUserResponse(answer:Boolean):Boolean{
		
		var isUserCorrect:Boolean = false;
		
		var labelName:String;
		if(qAArray[qAArrayCount].answer == answer){
			
			labelName = "q" + String(qAArray[qAArrayCount].qestion + "RT");
			isUserCorrect = true;
			
		}else{
			
			labelName = "q" + String(qAArray[qAArrayCount].qestion + "RF");
			isUserCorrect = false;
			
		}
		
		this.gotoAndStop(labelName);
		qAArrayCount++;
		
		return isUserCorrect;
	
		
	}
	
	//************************************************************
	//PRIVATE VISUAL FUNCTIONS: Functions that hide and show items in the MC
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC 
	//************************************************************
	public function RandomizeQuestions(){
		
		var myGenGameHelp:General = new General();
		qAArray = myGenGameHelp.scrambleArray(qAArray);
		qAArrayCount = 0;
		
		
		
	}

	//************************************************************
	//PRIVATE VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC 
	//************************************************************
	
	
	//************************************************************
	//PUBLIC CHARACTER FUNCTIONS: Functions that animate characters
	//************************************************************
	
	
	//************************************************************
	//PRIVATE CHARACTER FUNCTIONS: Functions that animate characters
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC GENERAL FUNCTIONS
	//************************************************************
	
	
	//************************************************************
	//PRIVATE GENERAL FUNCTIONS
	//************************************************************
	
	
	//************************************************************
	//PRIVATE HELPER FUNCTIONS
	//************************************************************

	
	//************************************************************
	//REGULAR EVENT FUNCTIONS: Functions that fire off regular MC events
	//************************************************************
	
	
	//************************************************************
	//CUSTOM LOCAL EVENT FUNCTIONS: Functions that fire off events written into a MC
	//************************************************************
	
	
	//************************************************************
	//CUSTOM EVENT FUNCTIONS: Functions that fire off custom made events
	//************************************************************
	
	
	//************************************************************
	//CHARACTER EVENT FUNCTIONS: Events fired from character movements
	//************************************************************
	

	
	
	
	
	
	
	
	
}