﻿//
import SD.RD;
import SGF.GamePiece;

//Can extend GamePiece or GameCollisionPiece
class IDTheftGame.IDTheftGameMC extends GamePiece{
	
	
	//************************************************************
	//PRIVATE VARS
	//************************************************************
	
	//Private vars
	private var CharInGameMC:MovieClip;
	private var FacialsGameMC:MovieClip;
	private var QuestionsMCC:MovieClip;
	private var MissesMC:MovieClip;
	
	//these two store the old game MCs for listener removal
	private var oldCharInGameMC:MovieClip;
	private var oldFacialsGameMC:MovieClip;
	
	private var NextQuestionMC:MovieClip;
	private var BtnResultsMC:MovieClip;
	
	
	private var KristenInGameMC:MovieClip;
	private var EricInGameMC:MovieClip;
	private var AlexisInGameMC:MovieClip;
	private var JimInGameMC:MovieClip;
	
	
	
	private var KristenFacialsMC:MovieClip;
	private var EricFacialsMC:MovieClip;
	private var AlexisFacialsMC:MovieClip;
	private var JimFacialsMC:MovieClip;
	
	//Public vars
	
	
	//Sub MC Vars
	
	
	//Sub TextField vars
		
	
	//Property vars
	
	
	
	//************************************************************
	//PROPERTIES
	//************************************************************
	
	
	

	//************************************************************
	//CONSTRUCTOR FUNCTIONS
	//************************************************************

	public function IDTheftGameMC(){
		
		//trace("GameController Created");
		//RD.D("GameController Created", this);
		linkageName = "IDTheftGameMC";
		//makeThisADispatcher();
		//dispatchMyEvent("e_someEvent", {myMessage:"none"});
		
		_visible = false;
		enabled = false;
		
		BtnResultsMC._visible = false;
		BtnResultsMC.enabled= false;
		
	}
	
	
	public function hideGamePiece(){
		
		hideGamePieceTween(1,1);
		
	}
	
	public function showGamePiece(){
		
		showGamePieceTween(1,0);
		
	}
	
	
	
	//************************************************************
	//INITIAL FUNCTIONS: Usually functions off the constructor
	//************************************************************
	//private function playScene(){
		
	//	playGame();
		
	//}
	
	
	//************************************************************
	//PUBLIC VISUAL FUNCTIONS: Functions that hide and show items in the MC
	//************************************************************
	
	//************************************************************
	//PRIVATE VISUAL FUNCTIONS: Functions that hide and show items in the MC
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC 
	//************************************************************


	//************************************************************
	//PRIVATE VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC 
	//************************************************************
	
	
	//************************************************************
	//PUBLIC CHARACTER FUNCTIONS: Functions that animate characters
	//************************************************************
	
	
	//************************************************************
	//PRIVATE CHARACTER FUNCTIONS: Functions that animate characters
	//************************************************************
	
	
	
	//************************************************************
	//PUBLIC GENERAL FUNCTIONS
	//************************************************************
	
	
	//************************************************************
	//PRIVATE GENERAL FUNCTIONS
	//************************************************************
	private function playGame(){
		
		//reset char and facials
		KristenInGameMC.initiate();
		JimInGameMC.initiate();
		EricInGameMC.initiate();
		AlexisInGameMC.initiate();
		
		KristenFacialsMC.initiate();
		EricFacialsMC.initiate();
		AlexisFacialsMC.initiate();
		JimFacialsMC.initiate();
		
		
		//make featureless visible
		CharInGameMC = eval(this + "." + getRef().character + "InGameMC");
		CharInGameMC._visible = true;
		CharInGameMC.enabled = true;
		
		FacialsGameMC = eval(this + "." + getRef().character + "FacialsMC");
		FacialsGameMC._visible = true;
		FacialsGameMC.enabled = true;
		
		QuestionsMCC._visible = true;
		QuestionsMCC.enabled = true;
		QuestionsMCC.initiateQuestions();
		QuestionsMCC.askQuestion();
		
		getRef().score.resetScore();
		
		//this dynamically sets up listeners for the four facial characters
		//remove old listers from the dynamic mcs
		if(oldCharInGameMC != null){
			
			var x_listenFor1:Object = {MC:oldFacialsGameMC, EVT:"e_userCorrect"};
			var x_listenFor2:Object = {MC:MissesMC, EVT:"e_userInCorrect"};
			var x_listenFor3:Object = {MC:NextQuestionMC, EVT:"e_featurePlaced"};
			var x_listenFor4:Object = {MC:this, EVT:"e_gameFinished"};
			QuestionsMCC.removeRegisteredListener([x_listenFor1, x_listenFor2, x_listenFor3, x_listenFor4]);
			
			var y_listenFor1:Object = {MC:oldCharInGameMC, EVT:"e_addFeature"};
			var y_listenFor2:Object = {MC:NextQuestionMC, EVT:"e_featurePlaced"};
			var y_listenFor3:Object = {MC:this, EVT:"e_gameFinished"};
			FacialsGameMC.removeRegisteredListener([y_listenFor1, y_listenFor2, y_listenFor3]);
			
			var d_listenFor1:Object = {MC:FacialsGameMC, EVT:"e_userCorrect"};
			var d_listenFor2:Object = {MC:MissesMC, EVT:"e_userInCorrect"};
			var d_listenFor3:Object = {MC:NextQuestionMC, EVT:"e_featurePlaced"};
			var d_listenFor4:Object = {MC:this, EVT:"e_gameFinished"};
			QuestionsMCC.reRegisterListeners([d_listenFor1, d_listenFor2, d_listenFor3, d_listenFor4]);
			
			var e_listenFor1:Object = {MC:CharInGameMC, EVT:"e_addFeature"};
			var e_listenFor2:Object = {MC:NextQuestionMC, EVT:"e_featurePlaced"};
			var e_listenFor3:Object = {MC:this, EVT:"e_gameFinished"};
			FacialsGameMC.reRegisterListeners([e_listenFor1, e_listenFor2, e_listenFor3]);
			
			
			
		}
		
		var a_listenFor1:Object = {MC:FacialsGameMC, EVT:"e_userCorrect"};
		var a_listenFor2:Object = {MC:MissesMC, EVT:"e_userInCorrect"};
		var a_listenFor3:Object = {MC:NextQuestionMC, EVT:"e_featurePlaced"};
		var a_listenFor4:Object = {MC:this, EVT:"e_gameFinished"};
		QuestionsMCC.registerListeners([a_listenFor1, a_listenFor2, a_listenFor3, a_listenFor4]);
		
		
		var b_listenFor1:Object = {MC:CharInGameMC, EVT:"e_addFeature"};
		var b_listenFor2:Object = {MC:NextQuestionMC, EVT:"e_featurePlaced"};
		var b_listenFor3:Object = {MC:this, EVT:"e_gameFinished"};
		FacialsGameMC.registerListeners([b_listenFor1, b_listenFor2, b_listenFor3]);
		
		
		var c_listenFor1:Object = {MC:QuestionsMCC, EVT:"e_nextQuestion"};
		NextQuestionMC.registerListeners([c_listenFor1]);
		
		NextQuestionMC.v_showButtonHalf();
		BtnResultsMC.enabled = false;
		BtnResultsMC._visible = false;
		
		MissesMC.gotoAndStop(1);
		
		oldCharInGameMC = CharInGameMC;
		oldFacialsGameMC = FacialsGameMC;
		
		//note this is scene 4 so it needs to reveal itself
		getRef().sceneDirector.playScene("scene4");
		
	}
	
	//************************************************************
	//PRIVATE HELPER FUNCTIONS
	//************************************************************

	
	//************************************************************
	//REGULAR EVENT FUNCTIONS: Functions that fire off regular MC events
	//************************************************************
	
	private function e_gameFinished(){
		
		NextQuestionMC.enabled = false;
		NextQuestionMC._visible = false;
		BtnResultsMC.enabled = true;
		BtnResultsMC._visible = true;
		BtnResultsMC.NextButton.gotoAndPlay("start");
		
		
		
	}
	
	
	//
	public function e_playGame(evt:Object):Void {
		
			playGame();
		
	}
	
	//************************************************************
	//CUSTOM LOCAL EVENT FUNCTIONS: Functions that fire off events written into a MC
	//************************************************************
	
	
	//************************************************************
	//CUSTOM EVENT FUNCTIONS: Functions that fire off custom made events
	//************************************************************
	
	
	//************************************************************
	//CHARACTER EVENT FUNCTIONS: Events fired from character movements
	//************************************************************
	

	
	
	
	
	
	
	
	
}